.welcome-h2 {
  text-align: center;
  font-size: 30px;
  filter: drop-shadow(4px 4px 2px rgba(0, 0, 0, 0.4));
  margin-top: 10px;
}

.sidebar {
  position: fixed;
  top: 50%;
  left: 0;
  transform: translateY(-50%);
}

.sidebar ul li {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100px;
  height: 100px;
  background-color: var(--text-color);
  color: var(--bg-color);
  border-bottom: 1px solid var(--bg-color);
  cursor: pointer;
  transition: all 0.3s ease;
}

.sidebar ul li:hover {
  opacity: 0.7;
}

.miner-status {
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 20px;
  margin-top: 10px;
}
.miner-status ul {
  margin-right: 100px;
}

.miner-status .weather-container {
  background-color: var(--text-color);
  color: var(--bg-color);
  border-radius: 5px;
}

.miner-status .weather-container ul {
  padding: 10px 20px;
  margin-right: 0px;
}

.mine-and-miner-container {
  display: flex;
  justify-content: space-around;
  align-items: center;
  width: 80vw;
  min-height: 500px;
  position: absolute;
  top: 53%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.mine-container {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 48%;
  min-height: 500px;
  background-color: var(--mine-bg-color);
  color: var(--miner-bg-color);
  box-shadow: 4px 4px 7px rgba(0, 0, 0, 0.4);
  border-radius: 5px;
}

.mine {
  width: 400px;
  height: 400px;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 50%;
  cursor: pointer;
  user-select: none;
  box-shadow: 3px 3px 7px rgba(0, 0, 0, 0.3);
}
.mine:active {
  transform: scale(1.03);
}

.miner-container {
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: center;
  width: 48%;
  height: 100%;
  min-height: 500px;
  background-color: var(--text-color);
  color: var(--bg-color);
  box-shadow: 4px 4px 7px rgba(0, 0, 0, 0.4);
  border-radius: 5px;
}

.miner-container .status-container {
  width: 100%;
  box-shadow: 0 5px 5px rgba(0, 0, 0, 0.2);
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.miner-container .status-container .mine-type {
  display: flex;
  justify-content: center;
  align-items: center;
  margin-left: 50px;
}

.miner-container .status-container .mine-type-icon {
  display: inline-block;
  width: 50px;
  height: 50px;
  margin-left: 10px;
}

.miner-container .status-container ul {
  margin-right: 50px;
}

.miner-container .status-container li {
  display: flex;
  justify-content: flex-start;
  align-items: center;
}

.miner-container .status-container .icon {
  display: inline-block;
  width: 20px;
  height: 20px;
  margin-right: 5px;
}

@media (max-width: 1000px) {
  .mine-and-miner-container {
    flex-direction: column;
    transform: translate(-50%, -30%);
  }
  .mine-container {
    width: 70vw;
  }

  .miner-container {
    width: 70vw;
  }
}
